Package Details: copay 3.14.2-1

Git Clone URL: https://aur.archlinux.org/copay.git (read-only)
Package Base: copay
Description: Copay Bitcoin Wallet
Upstream URL: https://copay.io
Keywords: bitcoin
Licenses: MIT
Submitter: 2bluesc
Maintainer: 2bluesc
Last Packager: 2bluesc
Votes: 12
Popularity: 0.109071
First Submitted: 2015-10-22 05:09
Last Updated: 2018-02-23 22:02

Required by (0)

Sources (2)

Latest Comments

HexValid commented on 2018-02-12 09:27

Please add unzip to make depends

2bluesc commented on 2017-09-06 05:38

@unixfox It's updated now. Thanks!

unixfox commented on 2017-08-20 15:10

Can you add python2 as a dependency because it's needed to build a npm component:
```
gyp verb check python checking for Python executable "python2" in the PATH
gyp verb `which` failed Error: not found: python2
```
?

My build system doesn't rely on binaries installed on the system so that's why I need this dependency on the PKGBUILD.
You can check the error here: http://aurbs.unixfox.eu/packages/copay/x86_64/log

2bluesc commented on 2017-06-09 15:02

Updated the build to v3.4.0 release via building from source after another zip file packaging issue [0]. There appears to be some quality issues with their build system and it broke my faith in the binary releases. Perhaps this is a better path forward with less quality issues.

Would still like to be able to verify the git release tags. Requested upstream [1]

[0] https://github.com/bitpay/copay/issues/6204
[1] https://github.com/bitpay/copay/issues/6213

2bluesc commented on 2017-06-08 15:28

Attempted to release v3.4.0, but the signature or source file is invalid. I posted upstream hoping to get this resolve before I bump the release.

https://github.com/bitpay/copay/issues/6204

wzrdtales commented on 2017-03-26 08:45

nevermind just saw there was an upgrade a few hours ago that fixed it.

NZCyrus commented on 2017-03-26 05:07

Tried upgrading to 3.0.6-1 and get the following error:
curl: (22) The requested URL returned error: 404 Not Found
==> ERROR: Failure while downloading https://github.com/bitpay/copay/releases/download/v3.0.6/Copay-linux.zip
Aborting...

NZCyrus commented on 2017-02-18 21:03

==> Verifying source file signatures with gpg...
Copay-linux.zip ... FAILED (unknown public key 5CD600A61112CFA1)
==> ERROR: One or more PGP signatures could not be verified!

$ gpg --recv-keys 9D17E656BB3B6163AE9D71725CD600A61112CFA1
gpg: keyserver receive failed: No keyserver available

threeofsix commented on 2016-09-07 03:58

@2bluesc No problem, it's working now! Thanks.

2bluesc commented on 2016-09-07 02:38

@threeofsix -- my bad. I was in a hurry and dropped the ball. Should be better now. Thanks for spotting it!

All comments